%define        trac_version 0.12

Name:           trac-CGit-plugin
Version:        1.0.6
Release:        6%{?dist}
Summary:        Replace the trac browser by CGit

License:        GPLv2+
URL:            http://trac-hacks.org/wiki/TracCgitPlugin
Source0:        https://github.com/reposerf/tracCGit/archive/v%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel, python-setuptools
Requires:       trac >= 0.12

%description
Replace the trac browser by cgit.

Configure the url in the cgit ini panel and TracCGit
will replace the trac source browser (provided you
have a working cgit installation setup).

Plain and simple. 

%prep
%setup -q -n tracCGit-%{version}

%build
cd %{trac_version}
%{__python} setup.py build

%install
cd %{trac_version}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

%files
%license LICENSE
# For noarch packages: sitelib
%{python_sitelib}/*


%changelog
* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.6-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Feb 21 2015 Till Maas <opensource@till.name> - 1.0.6-4
- Remove upstreamed Patch
- Use %%license

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed May 08 2013 Patrick Uiterwijk <puiterwijk@gmail.com> - 1.0.6-1
- Upgrade to upstream 1.0.6

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jan 03 2013 Patrick Uiterwijk <puiterwijk@gmail.com> - 1.0.5-1
- Initial packaging effort

